[class*=is-web] .popup-holder-bc.windowed.randomGamePopup .popup-inner-bc,
[class*=is-web] .popup-holder-bc.windowed.randomGamePopup .status-popup-content-w-bc {
  width: 500px
}

.popup-holder-bc.windowed.randomGamePopup .popup-inner-bc {
  border-radius: var(--border-radius-big)
}

[class*=is-web] .popup-holder-bc.windowed.randomGamePopup .status-popup-content-w-bc {
  padding: 15px
}

.popup-holder-bc.windowed.randomGamePopup .randomGamePopupContent {
  margin-bottom: 20px
}

.randomGameContainer {
  width: 100%;
  max-width: 375px;
  margin-top: 0;
  margin-inline-start: auto;
  margin-inline-end: auto;
  border-radius: var(--border-radius-middle);
  overflow: hidden
}

[class*=is-web] .randomGameContainer {
  margin-bottom: 30px
}

[class*=is-mobile] .randomGameContainer {
  margin-bottom: 15px
}

.randomGameList {
  display: flex;
  flex-direction: column
}

.randomGameList.loop,
.randomGameList.finish {
  transition: transform;
  transition-timing-function: cubic-bezier(.42, 0, .58, 1)
}

.randomGameSingle {
  overflow: hidden
}

[class*=is-web] .randomGameSingle {
  height: 270px
}

[class*=is-mobile] .randomGameSingle {
  height: 225px
}

.randomGameSingle>.casinoGameItemImage {
  position: unset;
  object-fit: cover
}

.randomGameName,
.randomGameProvider {
  color: rgba(var(--b-sc, .5))
}

[class*=is-web] .randomGameName {
  font-size: 24px;
  line-height: 30px
}

[class*=is-mobile] .randomGameName {
  font-size: 18px;
  line-height: 25px
}

[class*=is-web] .randomGameName+.randomGameProvider {
  margin-top: 10px
}

[class*=is-mobile] .randomGameName+.randomGameProvider {
  margin-top: 5px
}

[class*=is-web] .randomGameProvider {
  font-size: 16px;
  line-height: 20px
}

[class*=is-mobile] .randomGameProvider {
  font-size: 14px;
  line-height: 18px
}

.randomGamePopupBtnGroup {
  display: flex;
  gap: 15px;
  overflow: hidden
}

[class*=is-web] .randomGamePopupBtnGroup {
  margin-top: 30px
}

[class*=is-mobile] .randomGamePopupBtnGroup {
  margin-top: 15px
}